# Sigma Variables.
# Template readers: AVROOT gets a substitution in the RPM post-install.
#
AVROOT=ES_INSTALL_DIR/sigma/agent
AVCONF=${AVROOT}/conf
AVDATA=${AVROOT}/data
AVBIN=${AVROOT}/active/bin
AVLIB=${AVROOT}/active/lib
FUELPATH=${AVLIB}/fuel
AVLOGS=${AVROOT}/logs
if test ! -d ${AVLOGS} -a -d ${AVDATA}/log
then AVLOGS=${AVDATA}/log
fi
AVCERT=${AVDATA}/cert
if test ! -f ${AVCERT}/id.avl -a -f ${AVROOT}/cert/id.avl
then AVCERT=${AVROOT}/cert
fi
export AVROOT AVBIN AVCERT AVLOGS AVDATA AVLIB FUELPATH

PATH=${AVROOT}/active/thirdparty/bin:/usr/local/bin:$PATH
export PATH

PYTHONHOME=${AVROOT}/active/thirdparty
PYTHON=python3
export PYTHON PYTHONHOME

case `uname` in
HP-UX)
  SHLIB_PATH=${AVROOT}/active/thirdparty/lib
  export SHLIB_PATH
  ;;
*)
  LD_LIBRARY_PATH=${AVROOT}/active/thirdparty/lib
  export LD_LIBRARY_PATH
  ;;
esac
